Auth

Get an authorization token for signing in using a QR code

Use this method to get the authorization token required to sign in to the Trader's Room using a QR code. To get the authorization token, a client must already be authenticated in the mobile app.

POST
/api/v2/my/signin/tokens

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/signin/tokens" \  -H "Content-Type: application/json" \  -d '{    "channelId": "string"  }'
Empty
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}